System & Network Requirements

Mobile Access

Connectivity

For the best experience when using the Beacon Connected Care app on your Android or iOS device, a wi-fi connection is recommended, and may be required by your operator in order to have a visit.

How to Access

You can access Beacon Connected Care from your Android or iOS mobile device using the Beacon Connected Care app. Simply visit Google Play or the Apple Store to download the app and follow the instructions to get started!

NOTE: Beacon Connected Care is not currently available using the Web browser on your mobile device.

Device Requirements

To use Beacon Connected Care on your mobile device, ensure that your device meets the following requirements:

  • Beacon Connected Care app is installed (see above)
  • To support two-way video visits, your device must have a front-facing camera
  • Operating System – iOS (v7.0 or later required)
    • iPhone 4S or later*
    • iPad 2 or later, iPad Mini, or iPad Air
    • iPod Touch 5th generation
  • Operating System – Android (Gingerbread v2.3.3 or above)
    • Android Phone
    • Android Tablet
    • Not supported: HTC myTouch and Pantech P9070

Web Access

Internet

For the best experience when using Beacon Connected Care on the Web, high speed broadband Internet access (e.g., cable, DSL) is recommended.

  • A minimum bandwidth of 1 Mb/s upload/download is required. Bandwidth of 3 Mb/s is recommended for optimal experience.
  • For the best video quality, connect via a “wired” Internet connection.

Supported Browsers

You can access Beacon Connected Care from the Web using any of the browsers listed below. You will also need to ensure that both JavaScript and Cookies are enabled in your browser settings.

Google Chrome

  • Latest version recommended; one version prior supported

Mozilla Firefox*

  • Latest version recommended; one version prior supported

Internet Explorer

  • PC ONLY: minimum v9.0; maximum v11
  • NOTE: Windows Edge (available with Windows 10) is not supported until v8.3

Safari

  • Mac ONLY: latest version recommended; one version prior supported

Video Recommendations

To take advantage of the enhanced video capabilities, ensure that there is no conflicting software running. There may be other software installed on your computer that can cause issues with enhanced video. This includes other applications that may try to use your webcam (e.g., WebEx, GoToMeeting, Skype, etc.). Be sure that you have completely quit or exited out of any of these applications prior to having a visit.

If you experience issues connecting with enhanced video, contact your network administrator to ensure the network is configured correctly to allow enhanced video to operate.

Hardware/Software Requirements

For access via the Web, ensure that your computer meets the requirements below:

  • Operating Systems
    • Windows: Vista, 7, 8, and 10
    • Mac: OS X 10.6 “Snow Leopard” or later (Intel CPUs only)
    • NOTE: Linux OS (including Chromebook devices) are not supported
  • Adobe Flash Plug-In v10.1 or greater installed
    • Firefox users must have the latest version of Flash installed. Visit the following website to check for the latest version available: http://get2.adobe.com/flashplayer/
  • Adobe Reader 7 or greater installed
  • USB or built-in webcam (required for two-way video during Web visits)
  • Audio – to minimize feedback use headphones or a headset with built-in microphone